Bug 483872 - Radeon 7500, X crashes immediately with kernel oops
Radeon 7500, X crashes immediately with kernel oops
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 21:27 EST by Warren Togami
Modified: 2018-04-11 05:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from bootup to crash and shutdown. (63.59 KB, text/plain)
2009-02-03 21:27 EST, Warren Togami
no flags Details
Xorg.0.log through crash and shutdown (32.70 KB, text/plain)
2009-02-03 21:29 EST, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2009-02-03 21:27:58 EST
Created attachment 330807 [details]
/var/log/messages from bootup to crash and shutdown.

kernel-2.6.29-0.74.rc3.git3.fc11.i686
xorg-x11-server-Xorg-1.5.99.901-5.fc11.i386
xorg-x11-drv-ati-6.10.0-2.fc11.i386

Radeon 7500 on IBM Thinkpad T41.

Starting X crashes immediately with kernel oops.  It screamed garbage out of the speaker for a moment while it filled the screen with garbage.  It either locks up the system completely, or only the display.  These logs are from one instance where the complete system did not crash.
Comment 1 Warren Togami 2009-02-03 21:29:01 EST
Created attachment 330808 [details]
Xorg.0.log through crash and shutdown
Comment 2 Matěj Cepl 2009-02-05 07:34:48 EST
Lovely:

Feb  3 16:13:35 localhost kernel: Stack:
Feb  3 16:13:35 localhost kernel: f8880000 f2c91030 f2c5ce74 f808f1b4 f2c91030 f2c90000 f2c5ce88 f809136f
Feb  3 16:13:35 localhost kernel: f2c90010 f2c90000 f341c780 f2c5ce90 f80978e6 f2c5ceac f7e57821 f2c5cea4
Feb  3 16:13:35 localhost kernel: c05401d4 f2c90010 f2c90000 f341c780 f2c5ced4 f7e57fd0 f247c700 f2c90160
Feb  3 16:13:35 localhost kernel: Call Trace:
Feb  3 16:13:35 localhost kernel: [<f808f1b4>] ? radeon_do_cp_idle+0xf5/0x103 [radeon]
Feb  3 16:13:35 localhost kernel: [<f809136f>] ? radeon_do_release+0x59/0x122 [radeon]
Feb  3 16:13:35 localhost kernel: [<f80978e6>] ? radeon_driver_lastclose+0x8/0xa [radeon]
Feb  3 16:13:35 localhost kernel: [<f7e57821>] ? drm_lastclose+0x36/0x246 [drm]
Feb  3 16:13:35 localhost kernel: [<c05401d4>] ? _raw_spin_unlock+0x74/0x78
Feb  3 16:13:35 localhost kernel: [<f7e57fd0>] ? drm_release+0x3f9/0x411 [drm]
Feb  3 16:13:35 localhost kernel: [<c04a6dea>] ? __fput+0xcf/0x15f
Feb  3 16:13:35 localhost kernel: [<c04a6e93>] ? fput+0x19/0x1b
Feb  3 16:13:35 localhost kernel: [<c04a452b>] ? filp_close+0x51/0x5b
Feb  3 16:13:35 localhost kernel: [<c0430e73>] ? put_files_struct+0x68/0xaa
Feb  3 16:13:35 localhost kernel: [<c0430eec>] ? exit_files+0x37/0x3c
Feb  3 16:13:35 localhost kernel: [<c04325d5>] ? do_exit+0x1c5/0x75a
Feb  3 16:13:35 localhost kernel: [<c046c039>] ? audit_syscall_entry+0x132/0x154
Feb  3 16:13:35 localhost kernel: [<c0432bc8>] ? do_group_exit+0x5e/0x85
Feb  3 16:13:35 localhost kernel: [<c0432c02>] ? sys_exit_group+0x13/0x17
Feb  3 16:13:35 localhost kernel: [<c0403af6>] ? syscall_call+0x7/0xb
Feb  3 16:13:35 localhost kernel: Code: 1c 83 b9 58 03 00 00 00 74 08 8b 81 5c 03 00 00 eb 19 8b 81 d0 00 00 00 8b 40 10 eb 0e 8b 81 90 03 00 00 8b 40 10 05 10 07 00 00 <8b> 00 8b 81 90 03 00 00 8b 51 1c 8b 40 10 05 14 07 00 00 89 10 
Feb  3 16:13:35 localhost kernel: EIP: [<f808d82e>] radeon_commit_ring+0x73/0x9c [radeon] SS:ESP 0068:f2c5ce5c
Feb  3 16:13:35 localhost kernel: ---[ end trace bcfd66bfb4e70ec4 ]---
Feb  3 16:13:35 localhost kernel: Fixing recursive fault but reboot is needed!
Comment 3 Arkadi Shishlov 2009-02-12 18:06:17 EST
Same thing with Radeon 8500 and 2.6.29-0.110.rc4.git3.fc11.i586

[drm] Setting GART location based on new memory map
[drm] Loading R200 Microcode
[drm] writeback test succeeded in 1 usecs
BUG: unable to handle kernel paging request at 6b6b6b6b
IP: [<f810e82a>] radeon_commit_ring+0x6e/0x98 [radeon]
*pde = 00000000 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/enable
Modules linked in: radeon drm i2c_algo_bit bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 ext2 dm_multipath uinput ppdev snd_via82xx gameport snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device pcspkr snd firewire_ohci firewire_core i2c_viapro 8139cp crc_itu_t ata_generic soundcore 8139too mii i2c_core pata_acpi pata_via parport_pc parport aic7xxx scsi_transport_spi raid456 async_xor async_memcpy async_tx xor raid0 ext4 jbd2 crc16 [last unloaded: radeon]

Pid: 2443, comm: X Not tainted (2.6.29-0.110.rc4.git3.fc11.i586 #1)  
EIP: 0060:[<f810e82a>] EFLAGS: 00213246 CPU: 0
EIP is at radeon_commit_ring+0x6e/0x98 [radeon]
EAX: f3699030 EBX: f8580000 ECX: 00000028 EDX: 6b6b6b6b
ESI: 0000004f EDI: f43320f0 EBP: f3634e74 ESP: f3634e6c
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process X (pid: 2443, ti=f3634000 task=f3565440 task.ti=f3634000)
Stack:
 f3699030 00000043 f3634e84 f8110200 f3699030 f369a060 f3634e98 f81123a0
 f369a060 f369a070 f43320f0 f3634ea0 f811880f f3634ebc f80e3783 f3634eb4
 c053a2d0 f369a060 f369a070 f43320f0 f3634ee4 f80e3f04 f3634ee4 f369a1c0
Call Trace:
 [<f8110200>] ? radeon_do_cp_idle+0xf3/0x101 [radeon]
 [<f81123a0>] ? radeon_do_release+0x59/0x122 [radeon]
 [<f811880f>] ? radeon_driver_lastclose+0x8/0xa [radeon]
 [<f80e3783>] ? drm_lastclose+0x36/0x249 [drm]
 [<c053a2d0>] ? _raw_spin_unlock+0x74/0x78
 [<f80e3f04>] ? drm_release+0x3cd/0x3fb [drm]
 [<c04a3545>] ? __fput+0xd2/0x15e
 [<c04a35e6>] ? fput+0x15/0x17
 [<c04a0b45>] ? filp_close+0x51/0x5b
 [<c042f34c>] ? put_files_struct+0x58/0x9c
 [<c042f3be>] ? exit_files+0x2e/0x32
 [<c0430bd9>] ? do_exit+0x1c3/0x74a
 [<c04311bf>] ? do_group_exit+0x5f/0x86
 [<c04311f9>] ? sys_exit_group+0x13/0x17
 [<c0403c12>] ? syscall_call+0x7/0xb
Code: 83 b8 58 03 00 00 00 74 08 8b 90 5c 03 00 00 eb 1a 8b 90 d0 00 00 00 8b 52 10 eb 0f 8b 90 90 03 00 00 8b 52 10 81 c2 10 07 00 00 <8b> 12 8b 88 90 03 00 00 8b 50 1c 8b 49 10 81 c1 14 07 00 00 89 
EIP: [<f810e82a>] radeon_commit_ring+0x6e/0x98 [radeon] SS:ESP 0068:f3634e6c
---[ end trace 783794224f9ad18e ]---
Fixing recursive fault but reboot is needed!
Comment 4 Arkadi Shishlov 2009-02-13 12:08:44 EST
Radeon 8500 works with 2.6.29-0.110.rc4.git3.fc11.i586 with GIT DRM and this patch http://bugzilla.kernel.org/show_bug.cgi?id=12441#c9
Comment 5 Arkadi Shishlov 2009-02-15 16:59:34 EST
Radeon 8500 works out of the box with 2.6.29-0.118.rc5.fc11.i586.
Dmesg is full of:
glxgears:9439 freeing invalid memtype f02e2000-f02f2000
glxgears:9439 freeing invalid memtype f02f2000-f0302000
X:1926 freeing invalid memtype f0102000-f0112000
X:1926 freeing invalid memtype f0112000-f0122000

I can't compare. but Extreme Tuxracer is slow: 4FPS at 800x600, but stable.
Comment 6 James Ettle 2009-02-25 19:48:26 EST
Seen with Mobility Radeon 9200, kernel-2.6.29-0.153.rc6.git2.fc11:

BUG: unable to handle kernel paging request at 6b6b6b6b
IP: [<e09c588d>] radeon_commit_ring+0x73/0x9d [radeon]
*pde = 00000000 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:15/PNP0C0A:00/power_supply/BAT1/charge_full
Modules linked in: aes_i586 aes_generic fuse rfkill_input bridge stp llc bnep sco l2cap bluetooth ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath uinput arc4 ecb b43 rfkill mac80211 cfg80211 input_polldev ppdev snd_atiixp snd_atiixp_modem snd_ac97_codec snd_seq_dummy ac97_bus snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss pcspkr joydev snd_pcm snd_timer serio_raw snd soundcore snd_page_alloc firewire_ohci firewire_core 8139too ssb yenta_socket 8139cp crc_itu_t rsrc_nonstatic mii i2c_piix4 wmi parport_pc parport video output ata_generic pata_acpi pata_atiixp ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: microcode]

Pid: 2270, comm: Xorg Not tainted (2.6.29-0.153.rc6.git2.fc11.i586 #1) Pavilion zx5000 (DS416E#ABU)  
EIP: 0060:[<e09c588d>] EFLAGS: 00013246 CPU: 0
EIP is at radeon_commit_ring+0x73/0x9d [radeon]
EAX: de79e120 EBX: e1000000 ECX: 00000028 EDX: 6b6b6b6b
ESI: 0002384f EDI: de2422d0 EBP: deee4d88 ESP: deee4d80
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process Xorg (pid: 2270, ti=deee4000 task=d7033ed0 task.ti=deee4000)
Stack:
 de79e120 00023843 deee4d98 e09c72f9 de79e120 de79d0f0 deee4dac e09c9505
 de79d0f0 de79d100 de2422d0 deee4db4 e09cfa1f deee4dd0 e0809884 deee4dc8
 c0546940 de79d0f0 de79d100 de2422d0 deee4df4 e080a02b de525c98 de79d250
Call Trace:
 [<e09c72f9>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
 [<e09c9505>] ? radeon_do_release+0x5e/0x127 [radeon]
 [<e09cfa1f>] ? radeon_driver_lastclose+0xd/0xf [radeon]
 [<e0809884>] ? drm_lastclose+0x3b/0x24e [drm]
 [<c0546940>] ? _raw_spin_unlock+0x74/0x78
 [<e080a02b>] ? drm_release+0x3e7/0x415 [drm]
 [<c04ab014>] ? __fput+0xd7/0x163
 [<c04ab0ba>] ? fput+0x1a/0x1c
 [<c04a847f>] ? filp_close+0x56/0x60
 [<c0431776>] ? put_files_struct+0x5d/0xa1
 [<c04317ed>] ? exit_files+0x33/0x37
 [<c0432ff4>] ? do_exit+0x1c8/0x74f
 [<c04335df>] ? do_group_exit+0x64/0x8b
 [<c043bf61>] ? get_signal_to_deliver+0x267/0x27e
 [<c0403316>] ? do_notify_resume+0x6e/0x610
 [<c040868d>] ? sched_clock+0x9/0xd
 [<c044e524>] ? lock_release_holdtime+0x2b/0x123
 [<c046dc83>] ? audit_syscall_entry+0x16b/0x191
 [<c040a808>] ? syscall_trace_enter+0xb7/0xcb
 [<c04040a0>] ? work_notifysig+0x13/0x23
Code: 83 b8 58 03 00 00 00 74 08 8b 90 5c 03 00 00 eb 1a 8b 90 d0 00 00 00 8b 52 10 eb 0f 8b 90 90 03 00 00 8b 52 10 81 c2 10 07 00 00 <8b> 12 8b 88 90 03 00 00 8b 50 1c 8b 49 10 81 c1 14 07 00 00 89 
EIP: [<e09c588d>] radeon_commit_ring+0x73/0x9d [radeon] SS:ESP 0068:deee4d80
---[ end trace 3e7a8e14035dd871 ]---
Fixing recursive fault but reboot is needed!
Comment 7 Warren Togami 2009-02-26 16:47:12 EST
My Radeon 7500 in Thinkpad T41 seems able to use X again.

kernel-2.6.29-0.157.rc6.git2.fc11.i586
xorg-x11-drv-ati-6.10.0-3.fc11.i586
Comment 8 Matěj Cepl 2009-02-27 05:56:29 EST
(In reply to comment #7)
> My Radeon 7500 in Thinkpad T41 seems able to use X again.
> 
> kernel-2.6.29-0.157.rc6.git2.fc11.i586
> xorg-x11-drv-ati-6.10.0-3.fc11.i586

Does it mean, we should close this?
Comment 9 Nigel Jones 2009-02-27 12:00:03 EST
I received this today & had posted to the fedora-devel-list earlier

I hit a kernel oops this morning where my rawhide x86 X environment just hung. The system was still running and accesible via ssh.

kerneloops is enabled, and submitted a problem automatically

I can see the issue (or similar to) is here -> http://www.kerneloops.org/guilty.php?guilty=radeon_commit_ring&version=2.6.29-rc&start=1900544&end=1933311&class=oops

Do I still need to raise a rawhide bugzilla, or is kerneloops sufficient (it's certainly convenient!)

Here's the info
Feb 27 11:23:23 snowdon kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Feb 27 11:23:23 snowdon kernel: IP: [<f811e88d>] radeon_commit_ring+0x73/0x9d [radeon]
Feb 27 11:23:23 snowdon kernel: *pdpt = 00000000301fc001 *pde = 0000000000000000
Feb 27 11:23:23 snowdon kernel: Oops: 0000 [#1] SMP
Feb 27 11:23:23 snowdon kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
Feb 27 11:23:23 snowdon kernel: Modules linked in: vmnet parport_pc vmblock vmci vmmon vfat fat usb_storage iptable_nat nf_nat iwl3945 nfs lockd nfs_acl auth_r
pcgss sunrpc ppdev parport aes_i586 aes_generic fuse tun bridge stp llc bnep sco l2cap bluetooth autofs4 ipv6 nf_conntrack_irc nf_conntrack_ftp cpufreq_ondeman
d acpi_cpufreq dm_multipath kvm uinput snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_seq_oss snd_seq_midi_event arc4 snd_seq thi
nkpad_acpi ecb snd_seq_device hwmon snd_pcm_oss snd_mixer_oss iTCO_wdt snd_pcm iTCO_vendor_support rfkill i2c_i801 pcspkr joydev snd_timer yenta_socket video m
ac80211 nsc_ircc rsrc_nonstatic output e1000e snd irda soundcore lib80211 cfg80211 snd_page_alloc crc_ccitt ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [l
ast unloaded: vmnet]
Feb 27 11:23:23 snowdon kernel:
Feb 27 11:23:23 snowdon kernel: Pid: 5188, comm: Xorg Not tainted (2.6.29-0.157.rc6.git2.fc11.i686.PAE #1) 200893G
Feb 27 11:23:23 snowdon kernel: EIP: 0060:[<f811e88d>] EFLAGS: 00013246 CPU: 1
Feb 27 11:23:23 snowdon kernel: EIP is at radeon_commit_ring+0x73/0x9d [radeon]
Feb 27 11:23:23 snowdon kernel: EAX: f5e6a060 EBX: f9f22000 ECX: 00000028 EDX: 6b6b6b6b
Feb 27 11:23:23 snowdon kernel: ESI: 0000383f EDI: f4b65780 EBP: e48e4d8c ESP: e48e4d84
Feb 27 11:23:23 snowdon kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Feb 27 11:23:23 snowdon kernel: Process Xorg (pid: 5188, ti=e48e4000 task=e4951500 task.ti=e48e4000)
Feb 27 11:23:23 snowdon kernel: Stack:
Feb 27 11:23:23 snowdon kernel: f5e6a060 00003833 e48e4d9c f812030f f5e6a060 f5e69030 e48e4db0 f812252b
Feb 27 11:23:23 snowdon kernel: f5e69030 f5e69040 f4b65780 e48e4db8 f8128a6f e48e4dd4 f80ad8a1 e48e4dcc
Feb 27 11:23:23 snowdon kernel: c0550d05 f5e69030 f5e69040 f4b65780 e48e4df8 f80ae047 f57c2658 f5e69190
Feb 27 11:23:23 snowdon kernel: Call Trace:
Feb 27 11:23:23 snowdon kernel: [<f812030f>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Feb 27 11:23:23 snowdon kernel: [<f812252b>] ? radeon_do_release+0x5e/0x127 [radeon]
Feb 27 11:23:23 snowdon kernel: [<f8128a6f>] ? radeon_driver_lastclose+0xd/0xf [radeon]
Feb 27 11:23:23 snowdon kernel: [<f80ad8a1>] ? drm_lastclose+0x3b/0x24e [drm]
Feb 27 11:23:23 snowdon kernel: [<c0550d05>] ? _raw_spin_unlock+0x74/0x78
Feb 27 11:23:23 snowdon kernel: [<f80ae047>] ? drm_release+0x3e7/0x415 [drm]
Feb 27 11:23:23 snowdon kernel: [<c04b4e69>] ? __fput+0xd4/0x161
Feb 27 11:23:23 snowdon kernel: [<c04b4f10>] ? fput+0x1a/0x1c
Feb 27 11:23:23 snowdon kernel: [<c04b22e3>] ? filp_close+0x56/0x60
Feb 27 11:23:23 snowdon kernel: [<c04393f7>] ? put_files_struct+0x5d/0xa1
Feb 27 11:23:23 snowdon kernel: [<c043946e>] ? exit_files+0x33/0x37
Feb 27 11:23:23 snowdon kernel: [<c043ac75>] ? do_exit+0x1c8/0x74f
Feb 27 11:23:23 snowdon kernel: [<c0443de6>] ? dequeue_signal+0xc7/0x13e
Feb 27 11:23:23 snowdon kernel: [<c043b260>] ? do_group_exit+0x64/0x8b
Feb 27 11:23:23 snowdon kernel: [<c04440c4>] ? get_signal_to_deliver+0x267/0x27e
Feb 27 11:23:23 snowdon kernel: [<c0408a12>] ? do_notify_resume+0x6e/0x60f
Feb 27 11:23:23 snowdon kernel: [<c0457c30>] ? trace_hardirqs_on_caller+0x18/0x145
Feb 27 11:23:23 snowdon kernel: [<c0443bbc>] ? sigprocmask+0x27/0xc6
Feb 27 11:23:23 snowdon kernel: [<c0457c30>] ? trace_hardirqs_on_caller+0x18/0x145
Feb 27 11:23:23 snowdon kernel: [<c0475e2c>] ? audit_syscall_entry+0x16b/0x191
Feb 27 11:23:23 snowdon kernel: [<c0456f7d>] ? trace_hardirqs_off_caller+0x18/0xa3
Feb 27 11:23:23 snowdon kernel: [<c0409778>] ? work_notifysig+0x13/0x1b
Feb 27 11:23:23 snowdon kernel: Code: 83 b8 58 03 00 00 00 74 08 8b 90 5c 03 00 00 eb 1a 8b 90 d0 00 00 00 8b 52 10 eb 0f 8b 90 90 03 00 00 8b 52 10 81 c2 10 0
7 00 00 <8b> 12 8b 88 90 03 00 00 8b 50 1c 8b 49 10 81 c1 14 07 00 00 89
Feb 27 11:23:23 snowdon kernel: EIP: [<f811e88d>] radeon_commit_ring+0x73/0x9d [radeon] SS:ESP 0068:e48e4d84
Feb 27 11:23:23 snowdon kernel: ---[ end trace 9438d7f7ad5750a0 ]---
Feb 27 11:23:23 snowdon kernel: Fixing recursive fault but reboot is needed!
Feb 27 11:23:35 snowdon kerneloops: Submitted 1 kernel oopses to www.kerneloops.org

Kernel was 2.6.29-0.157.rc6.git2.fc11.i686.PAE
ATI driver was the one in rawhide yesterday *before*  xorg-x11-drv-ati-6.11.0-1.fc11.i586 (sorry, just did a yum update)

One responder on the list commented that I had vmware modules loaded. I do... can't see that's pointed at here.. but just a fyi.
Comment 10 James Ettle 2009-03-08 05:34:47 EDT
I still get it on an my M9+ when I enable desktop effects.

2.6.29-0.197.rc7.fc11.i586
xorg-x11-drv-ati-6.11.0-3.fc11.i586
mesa-dri-drivers-7.3-10.fc11.i586

Call Trace:
 [<e09f60a2>] ? radeon_get_ring_head+0x26/0x4e [radeon]
 [<e09f6b9d>] ? radeon_commit_ring+0x4b/0x98 [radeon]
 [<e0a06299>] ? r600_do_cp_idle+0xad/0xb9 [radeon]
 [<e09fbedc>] ? radeon_do_release+0x6c/0x19a [radeon]
 [<e0a02705>] ? radeon_driver_lastclose+0x49/0x4f [radeon]
 [<e08098ef>] ? drm_lastclose+0x3b/0x250 [drm]
 [<c0546a90>] ? _raw_spin_unlock+0x74/0x78
 [<e0809f3c>] ? drm_release+0x42c/0x45a [drm]
 [<c04ab138>] ? __fput+0xd7/0x163
 [<c04ab1de>] ? fput+0x1a/0x1c
 [<c04a85a3>] ? filp_close+0x56/0x60
 [<c04317a6>] ? put_files_struct+0x5d/0xa1
 [<c043181d>] ? exit_files+0x33/0x37
 [<c0433024>] ? do_exit+0x1c8/0x74f
 [<c043360f>] ? do_group_exit+0x64/0x8b
 [<c043bfa1>] ? get_signal_to_deliver+0x267/0x27e
 [<c0403316>] ? do_notify_resume+0x6e/0x610
 [<c040868d>] ? sched_clock+0x9/0xd
 [<c044e5e4>] ? lock_release_holdtime+0x2b/0x123
 [<c046dd9f>] ? audit_syscall_entry+0x16b/0x191
 [<c040a808>] ? syscall_trace_enter+0xb7/0xcb
 [<c04040a0>] ? work_notifysig+0x13/0x23
Code: 0f 1f 44 00 00 83 b8 58 03 00 00 00 74 0b 83 e2 fc 03 90 5c 03 00 00 eb 1c f6 80 f2 02 00 00 08 8b 80 d0 00 00 00 74 07 03 50 10 <8b> 02 eb 08 83 e2 fc 03 50 10 8b 02 5d c3 55 89 e5 0f 1f 44 00 
EIP: [<e09f606e>] radeon_read_ring_rptr+0x2e/0x3c [radeon] SS:ESP 0068:de60bd64
Comment 11 James Ettle 2009-03-08 06:28:47 EDT
Same story with the latest packages:

kernel-2.6.29-0.207.rc7.fc11.i586
xorg-x11-drv-ati-6.11.0-5.fc11.i586
mesa-dri-drivers-7.3-10.fc11.i586
Comment 12 Bug Zapper 2009-06-09 07:03:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jérôme Glisse 2009-10-14 06:54:38 EDT
Can you test with fedora 12 livecd and report if it works with it.
Comment 14 Vedran Miletić 2010-03-23 20:06:46 EDT
Reporter doesn't reply for a long time, closing

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.